export type StringMatchPredicate = (s: string) => boolean;
export declare function isDockerDigest(input: string): boolean;
export declare function makeRegexOrMinimatchPredicate(pattern: string): StringMatchPredicate | null;
export declare function matchRegexOrMinimatch(input: string, pattern: string): boolean;
export declare function anyMatchRegexOrMinimatch(input: string, patterns: string[]): boolean | null;
export declare const UUIDRegex: RegExp;
export declare function isConfigRegex(input: unknown): input is string;
export declare function configRegexPredicate(input: string): StringMatchPredicate | null;
